GuiScreenPositions
Date: 2014-08-08

meltinggui.frames

## Class GuiScreenPositions

- java.lang.Object
- - meltinggui.frames.GuiScreenPositions

- All Implemented Interfaces:
    java.io.Serializable

      public class GuiScreenPositions
      extends java.lang.Object
      implements java.io.Serializable

  The locations on the screen of the GUI and all the components it contains.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenPositions(OuterFrame outerFrame, MeltingFrame meltingFrame, ErrorFrame errorFrame)` Fills in the fields from the frames themselves.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setScreenPositions(OuterFrame outerFrame, MeltingFrame meltingFrame, ErrorFrame errorFrame)` Sets the screen positions of the frames from the stored fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiScreenPositions

          public GuiScreenPositions(OuterFrame outerFrame,
                            MeltingFrame meltingFrame,
                            ErrorFrame errorFrame)

      Fills in the fields from the frames themselves.
      Parameters:
        `outerFrame` - The outer frame to get the screen position from.
        `meltingFrame` - The MELTING frame.
        `errorFrame` - The error frame.

  - ### Method Detail

    - #### setScreenPositions

          public void setScreenPositions(OuterFrame outerFrame,
                                MeltingFrame meltingFrame,
                                ErrorFrame errorFrame)

      Sets the screen positions of the frames from the stored fields.
      Parameters:
        `outerFrame` - The outer frame to set the screen position for.
        `meltingFrame` - The MELTING frame.
        `errorFrame` - The error frame.